﻿using System.ComponentModel;

namespace NotifyPropertyChangeSmallExample
{
    public class PropertyChangingEventArgs2<T> : PropertyChangingEventArgs
    {
        public T OldValue { get; private set; }
        public T NewValue { get; private set; }
        public PropertyChangingEventArgs2(string propertyName, T oldValue, T newValue)
            : base(propertyName)
        {
            NewValue = newValue;
            OldValue = oldValue;
        }

        public override string ToString()
        {
            return string.Format("Name: {0}, OldValue: {1}, NewValue: {2}", PropertyName, OldValue, NewValue);
        }
    }
}
